unique.hpp File Reference

## Functions

template<typename I , typename S , typename C = equal_to, typename P = identity>
auto | ranges::unique (I first, S last, C pred=C{}, P proj=P{}) -> I requires sortable< I, C, P > &&sentinel_for< S, I >
| template function `unique` More...
template<typename Rng , typename C = equal_to, typename P = identity>
auto | ranges::unique (Rng &&rng, C pred=C{}, P proj=P{}) -> safe_iterator_t< Rng > requires sortable< iterator_t< Rng >, C, P > &&range< Rng >